Summary:          Hardware monitoring tools
Name:             lm_sensors
Version:          2.9.2
Release:          4%{?dist}%{?pext}
License:          GPL
Group:            Applications/System
Source0:          http://www2.lm-sensors.nu/~lm78/archive/%{name}-%{version}.tar.gz
Patch0:           %{name}-2.9.2-config.patch
Patch1:           %{name}-2.9.2-utf8.patch
URL:              http://www.lm-sensors.org/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           The Lm_sensors Group
Requires:         kernel-utils
Requires(post):   /sbin/ldconfig /sbin/chkconfig
Requires(preun):  /sbin/chkconfig /sbin/service
Requires(postun): /sbin/ldconfig /sbin/service
BuildRequires:    bison flex
BuildRequires:    kernel-net4801-source >= 2.4.21

%description
The %{name} package contains the userspace tools for the %{name}
hardware monitoring drivers in the (patched) linux kernel.


%package          devel
Summary:          Development tools for %{name}
Group:            Development/Libraries
Requires:         %{name} = %{version}-%{release}
Requires:         glibc-kernheaders

%description      devel
The %{name}-devel package contains the static libraries and header
files for developing software for %{name}.


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
export CFLAGS="${RPM_OPT_FLAGS}"

%{__make} \
	prefix=%{_prefix}         \
	sysconfdir=%{_sysconfdir} \
	libdir=%{_libdir}         \
	bindir=%{_bindir}         \
	sbindir=%{_sbindir}       \
	includedir=%{_includedir} \
	mandir=%{_mandir}         \
	user


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_initrddir}

%{__make} \
	prefix=%{_prefix}         \
	sysconfdir=%{_sysconfdir} \
	libdir=%{_libdir}         \
	bindir=%{_bindir}         \
	sbindir=%{_sbindir}       \
	includedir=%{_includedir} \
	mandir=%{_mandir}         \
	DESTDIR=${RPM_BUILD_ROOT} \
	user_install

%{__install} -m 0755 prog/init/%{name}.init ${RPM_BUILD_ROOT}%{_initrddir}/%{name}

%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.?


%post
/sbin/ldconfig
/sbin/chkconfig --add %{name}


%preun
if [ $1 = 0 ]; then	# Remove
  /sbin/service %{name} stop >/dev/null 2>&1
  /sbin/chkconfig --del %{name}
fi


%postun
/sbin/ldconfig
if [ $1 -ge 1 ]; then	# Upgrade
  /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc BACKGROUND BUGS CHANGES CONTRIBUTORS COPYING
%doc INSTALL QUICKSTART README TODO
%doc %dir doc
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sensors.conf
%{_bindir}/ddcmon
%{_bindir}/*.pl
%{_bindir}/sensors
%{_libdir}/*.so.*
%{_sbindir}/fancontrol*
%{_sbindir}/i2cdetect
%{_sbindir}/i2cdump
%{_sbindir}/i2cset
%{_sbindir}/isadump
%{_sbindir}/isaset
%{_sbindir}/pwmconfig
%{_sbindir}/sensors-detect
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%{_mandir}/man8/*.8*

%files devel
%defattr(-,root,root)
%{_includedir}/linux/*.h
%{_includedir}/sensors
%{_libdir}/*.*a
%{_libdir}/*.so
%{_mandir}/man3/*.3*


%changelog
* Sat Jul 12 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.9.2-4
- Rewritten for buildsystem

* Tue Jan 01 2008 peter.pramberger@member.fsf.org 2.9.2-3
- some spec file cleanups

* Wed Mar 15 2006 peter.pramberger@member.fsf.org
- created
